---
# black is the uncompromising python code formatter
# https://github.com/psf/black
include:
  - remote: "https://gitlab.com/just-ci/templates/-/raw/v6.1.0-beta.4/python/generic.yml"

python:black:
  extends: .python:pre
  variables:
    PACKAGE: black
  script:
    - !reference [".python:pre", script]
    - black --check --diff --color --exclude "${PYTHON_EXCLUDE_REGEX}" .
  needs: []
